---
apiVersion: v1
items:
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:38:04Z"
    creationTimestamp: "2025-10-27T11:31:06Z"
    labels:
      prometheus: kube-scheduler
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:prometheus: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:38:04Z"
    name: scheduler
    namespace: openshift-kube-scheduler
    resourceVersion: "49449"
    uid: 09712800-7633-42c5-acf0-4237694f4350
  subsets:
  - addresses:
    - ip: 10.46.248.134
      nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: openshift-kube-scheduler-cnvqe-072.lab.eng.tlv2.redhat.com
        namespace: openshift-kube-scheduler
        uid: 64f14a36-0674-4e25-8a17-5e2aac94e543
    - ip: 10.46.248.41
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: openshift-kube-scheduler-cnvqe-070.lab.eng.tlv2.redhat.com
        namespace: openshift-kube-scheduler
        uid: 277087b7-b030-419a-a1a3-b9a1d9fc4f59
    - ip: 10.46.248.42
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: openshift-kube-scheduler-cnvqe-071.lab.eng.tlv2.redhat.com
        namespace: openshift-kube-scheduler
        uid: 8ea9d10c-ed70-4182-9ff2-19d4f0c2ddfc
    ports:
    - name: https
      port: 10259
      protocol: TCP
kind: EndpointsList
metadata:
  resourceVersion: "2220240"
